extern crate piston_window;
use piston_window::*;
mod engine;

enum Tile {
    Empty,
    Wall,
}

fn main() {
    let mut window: PistonWindow =
        WindowSettings::new("Rustenstein", [640, 480])
        .exit_on_esc(true)
        .resizable(false)
        .build()
        .unwrap_or_else(|e| { panic!("Failed to build PistonWindow: {}", e) });

    let level: [Tile; 5 * 5] = [
        Tile::Wall, Tile::Wall, Tile::Wall, Tile::Wall, Tile::Wall,
        Tile::Wall, Tile::Empty, Tile::Empty, Tile::Empty, Tile::Wall,
        Tile::Wall, Tile::Empty, Tile::Empty, Tile::Empty, Tile::Wall,
        Tile::Wall, Tile::Empty, Tile::Empty, Tile::Empty, Tile::Wall,
        Tile::Wall, Tile::Wall, Tile::Wall, Tile::Wall, Tile::Wall,
    ];

    let mut engine = engine::Engine::new(window.size());

    while let Some(event) = window.next() {
        window.draw_2d(&event, |context, graphics, device| {
            engine.render(context, graphics);
        });
    }
}
